commit 231167e5df7545b6076e8d2b2218173bd9ed90e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 18 06:09:32 2022 -0400

    debugging

commit 59eb2e931e2dcd3a9a39f6dfd397c978bb82dee4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 18 06:07:39 2022 -0400

    debugging

commit 8974c1a8f4d68503b09d6364cf528427ceea668e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 09:25:37 2022 -0400

    bumped changelog version

commit a671d790a7c88e5a7da74e01620082593b9755bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 07:03:06 2022 -0400

    fix

commit 9b1856523bf0a197e051eb3599efabba4085b6af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:05:45 2022 -0400

    bumped changelog version

commit 299864707cbcf8aa953dd3275fd7bf44041ac026
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 21 10:12:19 2022 -0400

    rename

commit 8978b05e5f8531972d4d6ded75853b4946d03c47
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:05 2022 -0400

    readme

commit 95fa11a7d9cd41fef90481af23bef1ba8ba3b9fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:33 2022 -0400

    copyright

commit 84efc7e3d35cb96cb1461c00390e3dff5d7f0c12
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 18 11:48:12 2022 -0400

    update path

commit a100d67024a0ddb59bccd67d365a8f91d4ad672b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:37:41 2022 -0400

    readme

commit d0e0bf51fc4744b38f9f34ee17d7af90288f33df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 8 09:18:59 2022 -0400

    comment

commit 74d34caa3949dda30794960cd837c6c34b562baf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 11:56:00 2022 -0400

    variables

commit 32e6fe2181e70c71912ac1813253b074806782af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 11:12:11 2022 -0400

    refactoring

commit ef21ecb4c09d71c1eb20c9d1b2b4fade56cbbe5c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 08:04:23 2022 -0400

    rename

commit e6a3aacbd8138e6d423b0dc27e6a4bf54a8a7a08
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:30 2021 -0500

    readme

commit fc427afd91513fa8c316b0ac32f3a880c45407bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 13 16:08:54 2021 -0400

    bumped changelog version

commit 21ea75201de7444021b181e245c2cd0a6c77ae3e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 13 15:19:48 2021 -0400

    output

commit b7c3c7c5db2149b0ae99afd12f0e1ab0d44ecb56
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:41:08 2021 -0400

    bumped changelog version

commit 4e843a5b6351ac1e9acb0b5b5d8bde8a7056c38f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:10 2021 -0400

    readme

commit e70220976c9324eab3cdcd27535912a75af982ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 06:26:36 2021 -0400

    bumped changelog version

commit 87258fc755b5744b4ae4233484ce320f73e388f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 06:20:49 2021 -0400

    genmkfile deb-install: install using `apt-get install` instead of `dpkg -i`
    
    for dependency resolution (sdwdate vs time-deamon)

commit c2f34ff8b359eb5a8381a0a63b8fcb321f382c5f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 06:15:38 2021 -0400

    output

commit ee706c72978f5a5c9e82fd8378d398aa9a30db73
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 06:13:54 2021 -0400

    output

commit ae57c0c32ec1f7e6b57fd0ca9e766e5d7c564a2c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 06:07:20 2021 -0400

    update make_dependencies_filter_helper

commit 3a1d8016563d07f5028c4931bf8324d13b12bb22
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:41:11 2021 -0400

    bumped changelog version

commit 3c7c3729dfcfed919a8cb38010d1ac986004edee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:46:43 2021 -0400

    lintian --suppress-tags no-manual-page

commit eee1274f65b58a4d28552c231ad8dcd40173e28f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:53 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit 98ec32f0e60106b54aebbd916049a29e083848af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:33 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit c9d8a4a41ba913fdc009fce0b78f6543b5576eaf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:42:11 2021 -0400

    man page

commit 1116e4fb6c212675d944711e97b226de7182913b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 07:00:38 2021 -0400

    remove `lintian` `--suppress-tags bad-whatis-entry`
    
    since no longer needed
    
    Was `man` `seccomp` workaround.
    
    https://forums.whonix.org/t/hardened-malloc-hardened-memory-allocator/7474/135

commit fe5827c2f6fe34e005390124b507f71d38183041
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 06:50:55 2021 -0400

    comment

commit 53c58072b174bb45c0c8e9dcba2f0a00c8e5ad80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 06:50:13 2021 -0400

    `lintian` `--suppress-tags package-supports-alternative-init-but-no-init.d-script`

commit 291db348f2319142a00bf9b270b0f1af4cc7a2aa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 06:08:36 2021 -0400

    update lintian tag name

commit 45a3bec7a01b34c6fa6ae0db1a5bdf3bfdb04eca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 06:04:43 2021 -0400

    exclude `/debian` folder from upstream tarball
    
    to avoid lintian warning `no-debian-changes`

commit 59133ea297149d417694e12d62fa525879b55fac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:20 2021 -0400

    bullseye

commit 2bd259acb073837c5ed856d952c6eec5c878f736
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:31:33 2021 -0400

    bullseye

commit ecaafc786e6cf6003b3f9ed622320be754cecf25
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:28 2021 -0400

    readme

commit 24a0cd2302406859a942dd1348bf06dff05d3452
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 18:57:20 2021 -0400

    bumped changelog version

commit 2a0d7eb4a9e606a909258281f514aa82b99b6212
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 18:54:49 2021 -0400

    Force the inclusion of the original source
    
    if Debian package revision number is higher than 1.
    
    LKRG package compatibility fix.

commit 480ee2ceaf04e319b816bd340f0017f9a23d8d2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 18:04:47 2021 -0400

    bumped changelog version

commit 69cf59653482699602fb3120fb1927ee074a7c5b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 15:34:27 2021 -0400

    improve error handling

commit 2c68f84894608617337fb2fb0c9f37cd17325514
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 15:28:45 2021 -0400

    improve support for debian/changelog file without epoch

commit 76a79fb21defa258f51933db9ab1f314852ee6c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 15:16:31 2021 -0400

    add support for debian/changelog file without epoch

commit 43bedd4677b12f62bed54c6d3aa8781fc673a6d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 12:58:27 2021 -0400

    LKRG v0.9.1 compatibility

commit 13ac082403b6b92fc0680efc14549090c89a58c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 12:52:55 2021 -0400

    refactoring

commit 56611936b5cdef54edd02285eeee0f9786476879
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 24 11:44:37 2021 -0400

    clean up temporary file "debian/$package.dkms.debhelper"

commit 70f2fd541ea96888889b407cd4f37c240916d3d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 5 08:33:41 2021 -0400

    bumped changelog version

commit e54b3b2a480149ab534795d9ef32a56b6181c071
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 2 08:43:35 2021 -0400

    comment

commit dee124b9ff530a437e5093b1649fca66ecf275b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 11:12:09 2021 -0400

    bumped changelog version

commit c2c649bc91cddc4fa1884213cc0b6bed14d43f2f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 10:54:39 2021 -0400

    change output of genmkfile deb-chl-bumpup-manual

commit 727a7037fa4f0203e3510a0e48dee0e97497b852
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:03:58 2021 -0400

    bumped changelog version

commit 171f7e4f74875ab5c10eb8c0d022df210c39a62e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:19 2021 -0400

    copyright

commit 2bff51867f952f0544352eeac72f8478ab7e6fef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:35:04 2021 -0400

    bumped changelog version

commit 1a2ae474a72260e96b0ece824ae43b7b697ddf3d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:34:54 2021 -0400

    output

commit 5636aab089b8d01be8d22fff945a29a69b481945
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:07:22 2021 -0400

    bumped changelog version

commit bf103856e81add18be93712033bf2e4bf94b08d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:07:21 2021 -0400

    readme

commit f30d50af196b134147700404899d63bac2334ac8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:14 2021 -0400

    copyright

commit 64de32472dd8eea66101c15b003dc4f52a673750
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 11:49:36 2021 -0500

    bumped changelog version

commit e162e0d9aeb3c548461e8b86a10a84a47c7f4ae7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 10:14:44 2021 -0500

    comment

commit e3932dd4f020eaab133bb57a80156e92a034d1a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 11:32:10 2020 -0500

    bumped changelog version

commit 7ec8d899cd2a0ad04d2e6f324b0fb962ee2f31af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 09:19:33 2020 -0500

    Revert "genmkfile install: use `cp` with `--archive`"
    
    This reverts commit 3a3fb75c3a32d6c00604fe6fdd91072736bd8ea0.

commit 3a3fb75c3a32d6c00604fe6fdd91072736bd8ea0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 09:14:14 2020 -0500

    genmkfile install: use `cp` with `--archive`
    
    to use same file permissions in installation folder than in source folder
    
    to fix sudo ./usr/bin/genmkfile install

commit cc69916d78632d003eaab4cd1e4e513c0bc0f2ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 09:13:00 2020 -0500

    refactoring

commit 1aa5a0ccb3af11ace205fa32a9275cc102129f07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 20 09:08:01 2020 -0500

    bumped changelog version

commit 2e6e3a98d485761095fa30851f023315ac7ba0f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 20 09:06:00 2020 -0500

    hardened-malloc-kicksecure `man` `seccomp` workaround
    
    https://forums.whonix.org/t/hardened-malloc-hardened-memory-allocator/7474/135

commit 112ac79c2b4f0a7af9ce69e85deb61bd3c387378
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 14 01:53:12 2020 -0500

    bumped changelog version

commit 2c3e750905a2c4190da2fb30ef0b39fff17c4b3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 14 01:52:55 2020 -0500

    check permissions

commit ea82554327c296eb9face895fbd137052bf23e3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 08:02:43 2020 -0400

    bumped changelog version

commit 08c01c40bcfce193c9621fd0769524364492cacf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 08:02:42 2020 -0400

    readme

commit f2512fe8b997496b666adb71b7f43f3a01cb9457
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:51:08 2020 -0400

    comment

commit 3123aab04dfd397884ba5d9f863476e9f29e4109
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:50:35 2020 -0400

    Revert "make -> genmkfile"
    
    This reverts commit be4db8ecfcba4362ffe48c058554e6bce401fb50.

commit be4db8ecfcba4362ffe48c058554e6bce401fb50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:49:20 2020 -0400

    make -> genmkfile

commit 0a5504380e325220293d6ca973f7dd83a71863d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 26 07:31:51 2020 -0400

    output

commit 57eea6cb0715b086540cab8252bd308a033ff8eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 12:38:14 2020 -0400

    bumped changelog version

commit f907f20b45cf426d3e932fe72e1160c494ebf3c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 12:38:04 2020 -0400

    variables

commit 51035f123a76d6d240d41f900e72c2460234fca7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 7 11:24:16 2020 -0400

    bumped changelog version

commit cb5d43e99d2781ed261a55a046dd1378ebe725ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 7 10:30:21 2020 -0400

    ronn: add '--date=2020-01-01' for deterministic man pages.

commit 6a1b93effab79003fb5df415cc2815eb0b5c2cc6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 16:32:19 2020 -0400

    bumped changelog version

commit 92659bbf04c947d30d4da1cfb6e287d2aa049992
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 10:48:37 2020 -0400

    output

commit bee31822341906444360ecc4f53acc371cdfee45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 10:47:17 2020 -0400

    debugging

commit cea6fbdaa58733f1fff437edb54182860e32a1dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 09:54:44 2020 -0400

    bumped changelog version

commit 3ef0a6819cb0a63a0b6d3ee03ceee74a34588aad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 07:29:53 2020 -0400

    .

commit 942363af130dd0099d8911950cb854bd01ee7fd7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 13:38:44 2020 -0400

    bumped changelog version

commit 7e59e2784ccdf6191c987fd01279658100848a43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 08:13:48 2020 -0400

    output if gpg verification runs as user or root

commit fbafb0d609770da18f37f8372590f33d036747e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:30:45 2020 -0400

    bumped changelog version

commit 1dd89effca51fd94b3ce6c6f6e0fae48d6a621fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:31 2020 -0400

    readme

commit b839634ef9e716870612274807a5534395014a5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 06:35:23 2020 -0400

    bumped changelog version

commit 224118b8da9b97ec1c33d9f4b7945051721b14f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 06:32:55 2020 -0400

    remove cowbuilder --host-arch to fix arm64 builds

commit 31abbe76abe2243f43f31a01d24540341b234e02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:52:16 2020 -0400

    bumped changelog version

commit 2f24059da68bd79bdea81755a3d386af932d630e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:50:55 2020 -0400

    fix GENMKFILE_PATH detection

commit f7b4fb19829228cc5e15fcb604dec44fc11365e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:43:12 2020 -0400

    bumped changelog version

commit 15f8773d295df46e653d80479af92db86da305c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:28 2020 -0400

    readme

commit 7cb0587b5f28d4fa9f54431f7b7f570b0079fed3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 05:27:44 2020 -0400

    do not overwrite debian install file if that file contains nogenmkfile

commit 0095d5e9239aa2b20e08673b997a48e1e64f931a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 05:25:43 2020 -0400

    install man page

commit 6f9471f8b841928234ac14ce9a29519e3157700b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 05:24:42 2020 -0400

    generate auto-generated-man-pages/genmkfile.8

commit 6c16337a17cbbd352609f549b612d08748d2e8c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 05:24:26 2020 -0400

    add man file

commit 54aa4abba6b7d780c3554aa3f862ee9750193975
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 05:22:29 2020 -0400

    remove duplicate Makefile
    
    still have usr/share/genmkfile/Makefile

commit 1bdef3d1b19ff35a10eab8347630ce90c4ab00ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:31:31 2020 -0400

    fix, do not delete auto-generated-man-pages

commit 793c1c45aa5391a6ed686022eaec20864f06457c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:30:08 2020 -0400

    add debian install file

commit 08c89be78a26a0be4e78b081e76affae98c41f18
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:23:37 2020 -0400

    improve make_debinstfile

commit 356f3bed6e99e2e47ccc9c8180e005697400603b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:18:18 2020 -0400

    create install file only when needed

commit 2be50b449d3d5b30a7fa308bc72c9d0111a9381b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:42:24 2020 -0400

    change path to auto generated man pages

commit 1b0767b697efec3592353e9cae66c8395c944f7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:29:41 2020 -0400

    implement usr/bin/genmkfile

commit e4542f1dd1bac72b58049d80808ed37b2e709af2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:11:47 2020 -0400

    move genmkfile to /usr/bin/genmkfile

commit 0ee76e04b451cdb7f9a161f2e14d67598588c916
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 13:17:52 2020 -0400

    bumped changelog version

commit 3b99fc0d75bee937642d33ed543381813ffce87a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 13:17:05 2020 -0400

    disable debugging

commit 27ec6fd1706dddd2bb228df1df2947f010318464
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 12:43:17 2020 -0400

    implement "make debinstfile"
    
    Creates files debian/pkg-name.install.

commit 47fb017386f1f2b03615c54377f4ad1b1e35ce7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 12:08:00 2020 -0400

    typo

commit 445f53c93619e62c3c480eb2815e5e3c01592da2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 12:03:50 2020 -0400

    typo

commit 32b078b2ced62a317b31ae9d5e978af668e5b09e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:36:21 2020 -0400

    bumped changelog version

commit 389e0c2062b67e046b7dde71dce42208d53afde9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:55 2020 -0400

    update copyright year

commit 3cc1440877e54a19bfdbe2357ed031fd38c11a1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:30:53 2020 -0500

    bumped changelog version

commit f93ca4088828ffcdc5ffd59a51fa47b41280f693
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 06:43:37 2020 -0500

    set XZ_OPT="--threads=8" by default

commit 5f76ce27af7921f141aba77a52ecfcdf0c36d4c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 25 08:43:45 2019 +0000

    bumped changelog version

commit 0c643d1e41afdfde1bcb01550418a89c4d00d5d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 25 08:23:56 2019 +0000

    add support for version_numbers_by_upstream

commit b2bcd2d40d94e476cc68a88aa8294593a2b9d49c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 18 10:11:39 2019 +0000

    bumped changelog version

commit 1ca95315a34b4ff9b5f461e52922448105279b91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 18 10:08:48 2019 +0000

    make version bump compatible with x.x.x format

commit 42c9d3919e47918f04dc72343ee722c6e6e8f2d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 20 10:12:18 2019 +0000

    bumped changelog version

commit d979c7f3733b5862573e618e45deb273306803c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 20 08:15:01 2019 +0000

    remove [linux-any] and [all] from build dependencies; comment

commit 2d9ac5e5865526e74a0f331a13141ba553b323f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 20 06:29:32 2019 +0000

    bumped changelog version

commit e913dc66e1b716008e8be7bf3685e28050bedff1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 20 06:22:43 2019 +0000

    pass whonix_build_pbuilder_config_file to cowbuilder als --configfile if set
    
    to fix cross platform builds

commit 422b047d7511c0ee02ce2045a846e93b3fe1c56d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 20 05:54:35 2019 +0000

    specify cowbuilder target --architecture

commit ef1560d152e63dc0e84038af8570dcc7acf46751
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 20 05:49:23 2019 +0000

    refactoring

commit 48829d6a910af85ba41057c055fd2d8ab3749af4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 20 05:40:33 2019 +0000

    fix, always pass --host-arch to cowbuilder

commit 2843e310a6880ae06d874e9d16a2d04ac30ef552
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 19 14:15:43 2019 +0000

    bumped changelog version

commit 5ea1b0f013de993ee184ed1794889a2172ce2ee6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 19 14:01:23 2019 +0000

    multi arch build fixes

commit 2a43df2f2bd3f1d725e712838c1edf9d1b450c38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:10:07 2019 +0000

    bumped changelog version

commit a4874ded43c320558b086c3e7795b0579cc2cd9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 06:32:29 2019 -0400

    cleanup

commit 8d709a409d101a6b953df9be57fa2d698ecbc801
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 05:43:12 2019 -0400

    If /usr/share/genmkfile/make-helper.bsh is run directly without arguments, run "make all".

commit d2c0f389ad08d06f7a1ec4c2e86f2ff024cc62b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 09:47:35 2019 -0400

    bumped changelog version

commit 1d8285ca3aa397dbb9129ff2088dbb9dc0ce1fc2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 09:47:04 2019 -0400

    debugging

commit 51102bfc0cf6a568d7ef684449fa9e71fb89963a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 09:35:30 2019 -0400

    improve GENMKFILE_PATH auto detection

commit a4555aacd0f99ac89289c31cbd99f75d1c5d883f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 09:00:40 2019 -0400

    bumped changelog version

commit 80e533745019afecf11846e5e40eb5845d166704
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 08:51:32 2019 -0400

    debugging

commit d0b9d9093c1268c5bd4c4f082530d05911d83d9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 08:45:57 2019 -0400

    debugging

commit 00df4433a5e59d49d0f90c91af9d824d0f409056
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 27 03:05:29 2019 -0400

    bumped changelog version

commit 47ff2921ff7d85685660140b48e40b709f65dbe4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 26 14:29:24 2019 -0400

    output

commit c0d278c2ce6bef37764cae57ffc72489be0b4c3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 26 14:20:28 2019 -0400

    cleanup auto generated files debian/autoreconf.after and debian/autoreconf.before

commit 30ec1f5214020a778fe7c108ea63168f95cbd340
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 26 14:14:52 2019 -0400

    output

commit d79e37d7c3bb2b0eb5ee37df095cc0e89f7468fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 26 14:13:55 2019 -0400

    output

commit aee6947fdb19bf90649e6557a7a3120cce0d86c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 26 14:10:38 2019 -0400

    filter '${shlibs:Depends}' from dependency parser

commit d0bd04a0976546a2fb917aa921f59d399bb435ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 24 16:40:47 2019 +0000

    bumped changelog version

commit aa9fb43c0ab22046d3a3de946feab1003528078d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 24 07:21:55 2019 -0400

    output

commit c41fb204abe763872df67a277ea0699534bd012e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 24 07:14:02 2019 -0400

    output

commit 16702cdce5cc5ac59fca4dc6c144b7a1ef79c57c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 18:28:43 2019 +0000

    bumped changelog version

commit 6535a7a9acef07360414692637827e3d2855305a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 7 18:28:12 2019 +0000

    output

commit 483ea28bebdc497b4442a74390f4d11601ab37e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 6 15:31:49 2019 +0000

    bumped changelog version

commit 9bc66f090948677cc0a71db8dd28067ed5ff0af3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 6 15:23:44 2019 +0000

    also source ./debian/make-helper-overrides.d folder

commit 9f3b2f6e218321764f4f28c6cb6fbe4733a9db01
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 6 15:22:20 2019 +0000

    also source ./debian/make-helper-overrides.bsh

commit 482a46159c0c08f601f4567346f41e29db90ffa9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 6 15:20:56 2019 +0000

    consistency

commit a0dfa2b6c084e33455717bfece2edc6209e7bc0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 6 14:47:44 2019 +0000

    support being used without Makefile
    
    example:
    /usr/share/genmkfile/make-helper.bsh deb-pkg

commit 29f989c2c08866975598cb5346d418b4446ad6e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:38:04 2019 +0000

    bumped changelog version

commit c4e99fe068dcaf413b73bf07fa75f3ad07701631
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:37 2019 +0000

    readme

commit 70deb6ee061288896a0829ed30ca5d381b87c380
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 13:08:43 2019 +0000

    bumped changelog version

commit ed3d9d346b220aaf00bf43c3a4d5a7dfbf07208a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 12:58:55 2019 +0000

    readme

commit 48e40cc42573a78115d49886537b1bbec6feebd8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 12:56:14 2019 +0000

    bumped changelog version

commit 61b705b89b58425cf732d3ad850fc34e5dd50a06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 12:55:51 2019 +0000

    output

commit febbc930a2e7eb6aba05c03188623fa3503c52c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 12:31:31 2019 +0000

    fix, actually run "make clean" on "make clean"

commit e25b1bba4e231d5ed18b50634f07c823c5009f37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 09:59:40 2019 +0000

    bumped changelog version

commit e9cfb969abb6ef4c59ae7b6464d71b1e6cf4abe5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 09:49:02 2019 +0000

    output

commit 436e3a74c2ff60a4a67d41803ad0eb3a0e165bd4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 09:47:30 2019 +0000

    output

commit f46559ec97e460d59bcb3f304b6876b03bcc0d8b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 09:45:13 2019 +0000

    output

commit 901c708b541fae5809d1fbba456b386514165def
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 09:41:22 2019 +0000

    output

commit 09e47a95e49a56ee70fe97d0ff951cefba4ae56b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 09:40:05 2019 +0000

    output

commit 6a2e98d81ec1fd6a1be9a6bf01085034bfbe5b62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 09:38:28 2019 +0000

    minor

commit c25feea9e6c7302af4eb38fef0931804c401f922
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 09:37:54 2019 +0000

    `source /usr/lib/helper-scripts/pre.bsh` if available

commit bda244851143ca8b7221c756baf59bc38d008b04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 09:36:17 2019 +0000

    `source /usr/lib/helper-scripts/pre.bsh` if available

commit 6a94579cd32f1ae1320ee5a9a6794deb976f3103
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 28 19:29:39 2019 +0000

    bumped changelog version

commit 34afb14866f8d04e2136ffc620c52963ecb3966a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 23 01:48:18 2019 +0000

    description

commit ff188546a1772fc7a780adf1c2dc24ad68934eec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 23 01:46:58 2019 +0000

    fakeroot is no longer a dependency

commit 57a607138a5f63f680d35007a20dd14f9eca07f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 23 01:44:44 2019 +0000

    description

commit 7925aabb578c6b0530c23b5c7b4fcc4f3525b855
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 23 01:42:35 2019 +0000

    description

commit 2fe79fe102c186f80fe97035dfc23dc6ee49d5d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 23 01:41:47 2019 +0000

    description

commit f1ad8c1a2061f1933d58fcf7a2ac2edbc5834f8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 23 01:35:38 2019 +0000

    description

commit 175abe01d9bde27d196d3049fad8a18f4d259849
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 23 01:18:13 2019 +0000

    lower debugging
    
    support .github folder in source folder
    (previously skipped through too far fetched find ignore
    which lead to source package mismatch)
    
    'make distclean' (called by debhelper) now runs 'make clean',
    if made available by upstream.
    
    output

commit cd3166511aacea1baa3cc15fb5525d0ef14d34c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 22 01:15:00 2019 +0000

    bumped changelog version

commit c787dcc3981d6765b0cd9bea8f57cdfd427d8662
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 21:09:15 2019 -0400

    implement genmkfile-default-target-about
    
    which might run first

commit e0028dd0bb26cafafc5e17c37067f4c458ead330
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 21:01:16 2019 -0400

    minor

commit d03f478fee9cc865248ce7857fb46d1aad14a18b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 20:58:49 2019 -0400

    move make help target up (becomes default target)
    
    better than running make dist as default target since this could change
    archive sizes which could lead to build failure
    
    add /usr/lib/helper-scripts/pre.bsh skeleton import
    
    lower debugging

commit 7cc0c31b8c69117db379ca5fbb7709cd25da26b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 20:33:34 2019 -0400

    remove make targets which are unneeded and conflict with upstream 'Makefile's
    
    - make all
    - make clean
    - wildcard
    
    therefore these can be implemented by upstream
    
    https://github.com/Whonix/genmkfile/pull/1#issuecomment-513578854

commit 570ef16fbc9b64d10b26f310769f4d96a1d8299e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 20:32:27 2019 -0400

    debugging

commit 99ec810dd58cd4140f513ffcfc468e62931437c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 18:50:23 2019 +0000

    bumped changelog version

commit aeaf5b3de8a83af9f2c0ed87de7ecfc8ead81f21
Merge: cc00a99 b585596
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 18:49:28 2019 +0000

    Merge branch 'master' of ssh://github.com/Whonix/genmkfile

commit cc00a993057a99af448ef8ee038980ad2addf302
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 18:48:49 2019 +0000

    bumped changelog version

commit 7ddfcf2e731fa3899a8ed129b25bd029bd623e67
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 18:48:34 2019 +0000

    fix

commit c14acbd99d0c1acded112c86b51103bb02731a33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 18:48:20 2019 +0000

    comment

commit c2c75aa8e6b7403ac309f3e05d612efffb05b8f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 17:55:59 2019 +0000

    comment

commit 470137b170dfded1b25d5775aa55ddfb18d179e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 17:52:23 2019 +0000

    comment

commit b58559618ef1b4c18827e985cc60d2b903e72872
Merge: 5bc4eed 2761a59
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 07:45:03 2019 -0400

    Merge pull request #1 from marmarek/packaging
    
    qubes-builder integration

commit 5bc4eed9e4751b1502f4a4370e7c51e818697fa7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 05:39:30 2019 +0000

    bumped changelog version

commit d0f282107971b10cd4443a9a1a788e58b56b4d69
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 05:13:07 2019 +0000

    minor

commit 73aef2a0c8441e052581a9bc019ac2236e011889
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 05:12:03 2019 +0000

    sanity test: dpkg-source  --require-strong-checksums --require-valid-signature
    
    https://github.com/Whonix/security-misc/pull/8

commit 2761a59b2e17c0ad1007b0736de8ff65743141ca
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Fri Jun 21 04:50:16 2019 +0200

    Add rpm packaging
    
    QubesOS/qubes-issues#1885

commit aa8c30b8586c7922c12ab5aee5ef06a4cdf1e4f6
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Fri Jun 21 04:49:34 2019 +0200

    Add Makefile.builder for qubes-builder
    
    QubesOS/qubes-issues#1885

commit 04a11c25df6620caebf90083c08a65c9ef6ee8d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:10:37 2019 +0000

    bumped changelog version

commit b5d708bebda045e89126ba4acda63dd0c3cc337e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:32 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 01aaac5ac366799aafa8558d258f38a19b7c5b3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:39:17 2019 +0000

    bumped changelog version

commit a48b93f8c32873f4aedabfd7ee7c16f04b20a7e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:28:56 2019 -0400

    readme

commit bc15a86d25f40652aa5c5ea15e5be1063e443457
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 14:57:58 2019 +0000

    bumped changelog version

commit 2c28bd09c446744761949c0aaa69ccb932f7909d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 14:57:33 2019 +0000

    re-enable debugging, needs more work to at least have some output

commit bfa4c3ec2e68da3921b72c4c3b1e3983c8d4d8fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 16:03:25 2019 +0000

    bumped changelog version

commit 53b0513a2e61d9d1f3f4231b2dfe72831a1ea906
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 15:59:56 2019 +0000

    lower debugging

commit 13ca365f56387d8eec9d3e8f0f24436af1c17f25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:37:46 2019 +0000

    bumped changelog version

commit 19027ffc0301ba07a9740c2e569bda7dbce7f0fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:43 2019 -0400

    update path to pre.bsh

commit b13804fa4e091251a95dbbed00e736199f413250
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:23:29 2019 +0000

    bumped changelog version

commit e644f6e742bea310999d4cb1bc276c98444da5e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:53 2019 +0000

    update

commit d693a72fcb2488312e6e94594538e6545d3c5de5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:03:09 2019 +0000

    bumped changelog version

commit d4a99dd95d9f426d849efe6ca2549fc5d55a2fa2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 15:56:30 2019 -0400

    help when DISTDIR is non-existing

commit 7b97eef819c0da4f65f2e436851b0680bd7750dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 15:50:27 2019 -0400

    fix

commit 937b7ea05f809a175789f10bcab3475a449c1967
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 10:55:30 2019 -0400

    fix

commit 0a0051ef4230196a08cc2854fa232251e3576c0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 10:49:59 2019 -0400

    fix

commit 55dd9909c3dc389021c6f6d558cc6e84cc87d994
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 10:13:18 2019 -0400

    man page

commit f625da9fb5a49532f7b66858876be900fbc9b7fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 09:25:50 2019 -0400

    simplification

commit 0c47a0bfb1b2efb13c062e07067e656a02402faf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 19:42:26 2019 -0400

    fix

commit 91c9df35e6b95d33ed4897fc9be2ffb295ebe95d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 19:18:29 2019 -0400

    fix lintian warnings

commit f05bf1fb7fcfb0138b042ca163e21806aca02b70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:04:50 2019 -0400

    readme

commit c9aef704d749706622e3a9ff21d83b79018ff908
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 2 13:57:40 2019 +0000

    work on cross build support

commit 997c7de7b6bd3c2cccb946d875d2a7d7c766cff5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 2 10:43:06 2019 +0000

    minor

commit cd091351dd49b0b234237e9572747eba0c2f770f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 2 09:23:07 2019 +0000

    work on cross build support and reproducible builds

commit b1508383dc4cb1738153c62e5eb777c5abb3f7a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 1 13:05:36 2019 +0000

    refactoring

commit 1593b8cb124f6cf7461b686b8d7ca0fbc3d513f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 1 13:02:21 2019 +0000

    add make_cross_build_platform_list support

commit 5a5650162c1ac6ad2ff76bd6f29cbe444da0ef7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 31 14:11:51 2019 +0000

    cross platform package build support

commit 008dc316ab0e3efde72ce0e7dfa9ace2bc9dfa44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 31 13:49:11 2019 +0000

    cross platform package build support

commit 6f84b59e1cea066ccec68fdbaf245a40cbbe1b5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 31 13:02:54 2019 +0000

    work on multi platform package build support

commit 636a14038f60b5ebba49521ee999c1e048b212cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:52:38 2019 +0000

    bumped changelog version

commit cc63fb08b8cb758ec8be72712909807a808937ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:15 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 154487779c02e709d8003cd3e9e0b859ccb322b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:25:53 2019 +0000

    bumped changelog version

commit a871b037e6c5ff1c9427c38133128e6f0043a9cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:38 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 74c2d7af196506f0f725bf4247eb89fc71a90d03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 23 05:59:32 2019 +0000

    bumped changelog version

commit c0d35c24569dea4af1b873c3a89bbf492cd44470
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 23 05:59:11 2019 +0000

    fix; comment

commit 0ea6cf1acbcdbfcc09014e7489c18ef68690f03c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 22 06:36:20 2019 +0000

    bumped changelog version

commit 1c0625cd3c74176fe45eed526e6008aaadb0c843
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 22 05:20:37 2019 +0000

    sanity test: `gpg --verify` `debsign`ed changes ('.dsc') file

commit 2023d66d30fea53eddd408400e85bdc61998ea18
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 21 04:04:26 2019 -0500

    https by default
    
    add support for REPO_PROXY / apt-cacher-ng
    
    make cowbuilder apt --mirror configureable through variable make_cowbuilder_mirror
    
    make cowbuilder --distribution configureable through variable make_cowbuilder_distribution
    
    fallback make_cowbuilder_distribution lsb_release --short --codename
    
    set make_cowbuilder_distribution to $whonix_build_apt_stable_release if set

commit 15ee56c45317eadbbcf25b3a50474304ea29c605
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 8 09:55:05 2018 +0000

    bumped changelog version

commit 9a537602429297b5818737e63f08f94cd4778804
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 8 09:52:38 2018 +0000

    copyright

commit e90245ca75a0712e8124c9d6e19cba002cf24017
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 10:05:07 2018 +0000

    bumped changelog version

commit 5884bc718953cab198ac5a2c1303c3ce60f17e8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 17 09:57:06 2018 +0000

    add support for $genmkfile_lintian_pre_opts $genmkfile_lintian_post_opts

commit 064075524e251c2b0f9d3e241b287488dd18ddfd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:37:50 2018 +0000

    bumped changelog version

commit 875a21df8f13e9b78dd53fa8182b85a60f493933
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:17:58 2018 +0800

    readme

commit 78ef08b9fe4c4588905ac387d60918929100692c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 10 12:15:39 2018 +0000

    bumped changelog version

commit 0224085e64a3bd766eb0d905c06f6e1b62334a38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 10 12:11:31 2018 +0000

    fix apt-cacher-ng / fix quotes handling for apt-get use

commit 179b20377a54bf3a02e756ada507e82b3caeacb9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:01:27 2018 +0000

    bumped changelog version

commit 16d6e42660f1573a81fa1daf2c717a17ea45b766
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:30:57 2018 +0100

    output

commit 65375271930ede7df03bad3cf56daaa341b60869
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:03:21 2018 +0000

    bumped changelog version

commit 52c1b2a269252527afb261f224a70eea0a5e1c70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:17 2018 +0000

    readme

commit 9810d7418fb1f1568fd338add49872a7d066050d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:21:57 2018 +0000

    update copyright

commit 2e3395f2ea3107c724d37343df943680f86e0557
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:09 2018 +0000

    update copyright

commit b0aa567b24d15d08fdc9c72cd77c5ceb91dfd573
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:34 2018 +0000

    update copyright

commit 98486b2fca49ad7b6654b4efb1b48f71677a4633
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 20 18:24:54 2018 +0000

    bumped changelog version

commit 7489403330967dfe2a6ec4d3722c9660e96672c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 20 18:23:31 2018 +0000

    fix error out on lintian warning in lintian fail closed mode

commit d209a46b90384635cf6882cdfab6300d8afc6fe6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:53:30 2018 +0000

    bumped changelog version

commit 70e81835890c67d518d49510b0430af09cfcb6ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:24:30 2018 +0000

    fix failing closed when lintian reports something

commit 0e3ce235b209b3615e51f003dda6f06924fc4f7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:13:37 2018 +0000

    remove deprecated lintian --fail-on-warnings parameter

commit 47193a93de138746edfaca31a8effc600fbfaec2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:29:56 2017 +0000

    bumped changelog version

commit 60943ed16faf01da2366a22cc35eddf0bdbcc08c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:23:50 2017 +0000

    use git verify-commit

commit 8ca88169c49002567035fe8c2efecf635fff20b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:07:10 2017 +0000

    signed commit

commit 3d81fede758147b647f6d420004a8a6256224729
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 6 15:12:32 2017 +0200

    Revert "revert back to simpler Makefile"
    
    This reverts commit 760d6a6b08bdd85d7d41be69c552f28f29214da8.

commit 58bd879db065407073e97e62053bd3d7e7a4ec62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 13:19:10 2017 +0000

    readme

commit f389c419138d8db2fe67986a014b5be8a4e10cf7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 13:18:16 2017 +0000

    update description

commit 760d6a6b08bdd85d7d41be69c552f28f29214da8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 13:15:06 2017 +0000

    revert back to simpler Makefile
    
    genmkfile - Makefile - version 1.5
    
    The more feature rich version is not needed at the moment and should be refactored.
    (Complexity should be moved to a file in /usr/share/genmkfile so the actual generic
    Makefile to be copied to projects stays simple.)

commit 7a856cc8fdf786ab907b038f9b3ea30f3987940d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 10 00:34:55 2017 +0000

    default repo local rather than developers

commit 808ccf4c114818d07dc8fde4feb71467854ecfdf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 9 00:35:47 2017 +0000

    bumped changelog version

commit 8d17a9d7c74f565a81707e703f318b9c98528c6b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 8 14:26:43 2017 +0000

    Fix dependency parsing.
    
    https://phabricator.whonix.org/T643
    
    Thanks to Ole-Morten Ω Duesund (@olemd) for pointing me to a solution!

commit d6deafe9ab85cb046ecd8de00adae509061b0331
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 20:07:35 2017 +0000

    bumped changelog version

commit 3dffe49ae1e0909d2ec781ae4ed9f8917dcf3f27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 20:07:09 2017 +0000

    reprepro import changes file rather than individual packages

commit 1c4c27ce22e3705e52f1e4d679e42f0d2cf57e88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 16:14:39 2017 +0000

    bumped changelog version

commit 13142e1748f442d016598292c33665b3ac086746
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 05:11:47 2017 +0000

    fix

commit c5d04dc53f8eef7a8bad8e2cf28877e38c9d9e83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 20:15:18 2017 +0000

    implement make git-tag-show-latest

commit cc1f1273f9ff1319ff90b118ee8f0d729403f6fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 20:05:45 2017 +0000

    output

commit 39d0ecb8e3018c2b0ab1cf64e30602fc1537fb83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 20:04:30 2017 +0000

    implement make git-tag-show

commit 57432275b4524140ac752bfbf4ee94b827a97600
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 20:01:35 2017 +0000

    typo

commit 1c5b2507b9126a17d0ec2ea961fd4a6b3aa1103d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 02:12:55 2017 +0000

    bumped changelog version

commit 40d36a7d486d541c2ed4641bf52dd614ce7824de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 02:12:14 2017 +0000

    also remove source package on make reprepro-remove

commit 9c9edc11148978ad0fc038a1d50f7b82c38a7613
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 13:58:06 2017 +0000

    bumped changelog version

commit 7a67f84f20ec8fcebfd4b2e6911d77f1206429c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 19:26:57 2017 +0000

    replace $apt_timeout_opts $apt_verify_opts $apt_misc_opts with "${APTGETOPT[@]}"

commit 60656ad49c40b1d79b4bdcc5898db18f23db7d30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:45:52 2017 +0000

    "$@"

commit 029e59ce1d5845118294de24ffa87bb4993566ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:44:55 2017 +0000

    "$@"

commit d0b0220f74861d6d6abcc82eb2aa76e01502f414
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:30:30 2017 +0000

    "$@"

commit 78d62680f2547330a56df75b4887799d37ca7d39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:02:33 2017 +0000

    output

commit f79475e343c8ad20bafa31bcfe127dd3fdbfe85e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:02:01 2017 +0000

    refactoring

commit e85a01338a34ec6ecb831211ac3a4a6d5f18b372
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 14:12:05 2017 +0100

    fix, depend and build-depend on fakeroot
    
    since required by debuild
    
    debuild --no-lintian -sa -us -uc
    dpkg-buildpackage -rfakeroot -us -uc -sa
    dpkg-buildpackage: error: fakeroot not found, either install the fakeroot
    package, specify a command with the -r option, or run this as root
    debuild: fatal error at line 1116:
    dpkg-buildpackage -rfakeroot -us -uc -sa failed
    usr/share/genmkfile/makefile-full:53: recipe for target 'deb-pkg' failed

commit 2192d80ab4cbdfd104d696480b3f4c99d02bd7e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 11 15:15:43 2017 +0000

    comment

commit 254f9ea2527e846dd9430e6f4700878419b86c8b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 11 14:38:33 2017 +0000

    TODO FIXME

commit aba46c078d2f774fd3e9ea52a6ccf3d52b12403c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 11 14:35:55 2017 +0000

    sudo apt-get install dependencies

commit 6666a5c7705e5b2a5d86ac8ea042ba14f42acca9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 11 14:35:09 2017 +0000

    fix, remove $CHROOT from apt-get

commit a3b25599d091bf18343bd40a6f544b9eca08046c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 11 06:28:29 2017 +0000

    output

commit 27d9b9b62bd44dddba476268ec76b1cffc30ce14
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 14:52:44 2017 +0000

    remove faketime

commit 111b80ec7d28a487aab7460021a862ebaecf7f56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 14:09:54 2017 +0000

    improve and unify error handling

commit d942060029ed459b49b4fbf4e1b137beebfa217a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 13:55:24 2017 +0000

    add sudo to Depends:

commit f44230ce73b88c703926692db78eaea900ad9a8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 13:54:34 2017 +0000

    filter out ${python:Depends} from runtime dependency list

commit 1a9735ec175eb5bd27f00668dc4ceed43ab6ab0a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 13:45:10 2017 +0000

    todo fixme

commit 1f1d31c3f7505a99197d528109a4f4b92b232f0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 13:37:52 2017 +0000

    add make deb-run-dep and make deb-all-dep
    
    make deb-run-dep
       Install runtime dependencies listed in debian/control under Depends using apt-get.
       Various environment variables supported.
    
    make deb-all-dep
       Combination of deb-build-dep and deb-build-dep.

commit 278e77bf2e9e62d4772b36f7222b40ffb7864700
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 02:07:49 2017 +0000

    bumped changelog version

commit 60fcc0280aca8a6995f229b6dc22ee93e2cd97f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 29 16:33:51 2017 +0000

    use tar --owner=0 --group=0 for deterministic results
    
    Thanks to anonymous1 for the suggestion!
    
    https://forums.whonix.org/t/testing-whonix-installer-for-windows

commit 8d67ec73bc8696c80ecbfb8eb183fd6634d18fcf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 29 15:40:33 2017 +0000

    bumped changelog version

commit d77d2547a69c83253ff7e8320e25f34ab652582f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 15:58:53 2017 +0000

    fix

commit 26c36569934547d696ff6a8c3e3a29a94f7ea14e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 14:04:01 2017 +0000

    implement make reprepro-remove

commit 2b7973aa874d3fc30abea8016c87c0d755feafe2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:48:01 2017 +0000

    fix

commit 1dae7d19725e37f36fc526ea39a6889e2a838227
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:28:09 2017 +0000

    fix

commit 8b4044b14b57bb34f92ecf2a74eeeef37a58af45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:25:13 2017 +0000

    bumped changelog version

commit 793945c2f3b3b5975f21584d3c1b777e657a8244
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 27 12:24:43 2017 +0000

    make reprepro-add: also add to local repository

commit 79eafed13989bea4f22e831ffb54b83f0187ad0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 17:44:15 2017 +0100

    bumped changelog version

commit 2ed270f729a8baac9ed7360c26118711ebbae0d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 13:17:35 2017 +0100

    export TZ=UTC to make tar deterministic

commit 3073894b6ac8b44d4472f7e70bc9b0cf9c2303fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 12:47:48 2017 +0100

    reproducibility: use orig.tar.xz rather than orig.tar.gz
    
    so gzip can be avoided which has non-deterministic file ordering
    
    There also removed temporary folder creation workaround.

commit 500122e84986e598ff5533aae55ba9f532adda23
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 11:27:34 2017 +0100

    remove duplicate test -f

commit f8615d73f1f110132bf7f8c7bb94ff4b02385126
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 11:14:02 2017 +0100

    use --mtime='2015-10-21 00:00Z'
    as per https://reproducible-builds.org/docs/archives/
    
    no longer use find / touch as no longer needed
    
    use strip-nondeterminism on upstream and debian archive

commit 762fadce053464ba0687ac2ccde4e44807c3253c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 08:47:08 2017 +0100

    use --owner=root --group=root --numeric-owner
    
    as per https://reproducible-builds.org/docs/archives/

commit 3b52c8ed69c1a95d32705bad749e9864d6c25bd6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 08:43:17 2017 +0100

    depend on strip-nondeterminism

commit d91eef7154e28d141b301a13c50ee17865afce34
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 14:32:28 2017 +0000

    refactoring

commit b9c2df4a290064aaa6f64156237545f8e927568e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 14:29:53 2017 +0000

    fix

commit 9be69e85ec5344c804bf4d94b5fc7365e01f8a6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 14:27:45 2017 +0000

    use tar with --sort=name for deterministic file ordering

commit e6aacaba7ac82046141202a5e4d4eda22a68734a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 10:26:54 2017 +0000

    bumped changelog version

commit 0fe840b4dd3c82b88a2d62550de94d11c3f5731d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 09:40:35 2017 +0000

    add --mode=go=rX,u+rw,a-s to tar to avoid non-determinism
    
    as suggested by https://wiki.debian.org/ReproducibleBuilds/VaryingPermissionsInTarballs

commit 2915c81f71ee6d775cd0c7a393b52d2c95f2f378
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 09:34:11 2017 +0000

    add LC_ALL=C.UTF-8 to environment to avoid non-determinism
    
    as suggested by https://wiki.debian.org/ReproducibleBuilds/Howto#Files_in_data.tar_vary_with_the_locale

commit 4cf227d8ad6cfbc1e4d9e51784bf7e49ba882eb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 09:26:47 2017 +0000

    comment

commit 99ae35a14d55a77a2118d3a9ccac222c24521cab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 19 09:25:56 2017 +0000

    move from gz to xz for debian source tarball
    (since this is apparently dpkg-source's standard format in stretch)
    
    make output of 'make debdist' same as output of dpkg-source -b ./ (deterministic)

commit d0fa541d94174abc19da61632ea8bca493d8c1e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 19:30:17 2017 +0000

    make upstream tarball generation deterministic in case it contains symlinks

commit b9cfe434424acda481c77d8cda55a54810967d7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 15:23:22 2017 +0000

    implement using debsign with make_use_debsign=true

commit f189b5a8066649c5e7c87efb50d4445e824256f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:31:36 2017 +0000

    bumped changelog version

commit fe728325059fcc491b43a570ef681747614167a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 11:25:10 2017 +0000

    clean up dbgsym packages

commit 30574239fd7d6b2553e78416323161cde269d563
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 06:30:03 2017 +0100

    bumped changelog version

commit cf76682b8bc3dc4544c66b82838f0e8ad128175f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 16 17:31:49 2017 +0100

    add $COWBUILDER_PREFIX to allow caching

commit 87d8bfac5841c40d3c958323f2fedb699063268b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 16 16:56:55 2017 +0100

    add cowbuilder support to make reprepro-add
    
    https://phabricator.whonix.org/T52

commit 0228b6e57c810979a8e616479e84c886a107c60e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 16 16:08:38 2017 +0100

    debian source and binary packages in same folder

commit 98181e4c6f34fd13250f3006090ca7030c0ff980
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 16 12:51:30 2017 +0000

    bumped changelog version

commit b919fd8fb05c69c0245bd922ab76bd1f943565d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 16 12:45:08 2017 +0000

    initial support for using cowbuilder
    
    make_use_cowbuilder=true
    
    https://phabricator.whonix.org/T52

commit d790c0f86b5044df7ef798e661daa11cdb01c7f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:30:12 2017 +0000

    bumped changelog version

commit 37197e4bf56dd2f4e017ef499e68fa6d5b1b5271
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 14:55:27 2017 +0000

    clean up debian/.debhelper in stretch

commit d61d147a52bac0250a9d06370999058ee9972f96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 14:52:36 2017 +0000

    run make_deb-cleanup from make_deb-pkg_shared
    
    to prevent stale C build results being used in final package

commit 886f900633ac31025d83f1379807376e2ecc79a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:31 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit bf6f5a35119b10e622c7bd19a324a8d4ac3cf9a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:10:51 2017 +0100

    delete buildinfo files during make deb-cleanup for stretch

commit a5f3594a896a3a65490487bdb70b5cd7f7da934b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:08:15 2017 +0100

    make deb-clean: delete debian/debhelper-build-stamp for stretch

commit 435697181b87562386b24bc3304ec26c152cdf3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:55:31 2017 +0000

    bumped changelog version

commit 01f4f7e6d47c638ed6162aadfcde559dfd665834
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 4 20:09:37 2017 +0000

    add support for creating architecture specific packages
    
    required for kloak anti keystorke deanonymization tool
    
    https://phabricator.whonix.org/T583

commit 395875355c5d92b57aae9aee36b1cb7f003d3e7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 4 19:42:56 2017 +0000

    add support for source packages that require make / compilation (C, C++, ...)
    
    required for kloak anti keystorke deanonymization tool
    
    https://phabricator.whonix.org/T583

commit 4880a9bb9af104d32a578138421863032b0002d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:09:29 2016 +0000

    bumped changelog version

commit 56a990135d1f83ebb6f4d8b92d641a5fdce1acb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:40:46 2016 +0000

    readme

commit 23fb6261ae8d7538db100486d74d8c885c17accc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 27 15:23:37 2016 +0200

    make-helper.bsh version bump

commit 08fe7d6b97533209e94baac591e8e5e1fa3a5878
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 27 15:21:34 2016 +0200

    add missing Build-Depends: and Depends:

commit 216378750f484ab450f18b8a507889269a1ff212
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 21 18:07:07 2016 +0200

    fix

commit 2502787db14820b277787d1d9b1eaafc7b2a7275
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 18 16:18:37 2016 +0000

    support symlinks to be able to package corridor
    
    https://github.com/rustybird/corridor/issues/18
    
    https://github.com/rustybird/corridor/issues/10

commit 5ac6bf81625ba0bbb29af85e9f38f59724a1e0a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 8 14:16:02 2016 +0000

    process only files in man/ folder that have the .ronn file extension

commit 10d34ac835a2e7035a7fa120b762701a8e7e0ef8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 22:17:18 2016 +0000

    bumped changelog version

commit e1370e0dc38d85d4f607abc0fe0147d72c8e5e6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 22:17:14 2016 +0000

    fix

commit 76a92e70bbb35b1496703ad9802a0391ce1bf4e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 22:10:45 2016 +0000

    output

commit 13d960024c98bb1ce16f545f8a5182c72c05eb02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 4 22:09:39 2016 +0000

    output

commit f9dd28792cac553b93a7247b9010b9a572f76c92
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 28 03:58:58 2016 +0000

    bumped changelog version

commit e341347225d19b3f80b3ab836b14860705708223
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 28 03:58:41 2016 +0000

    comment

commit e437fcb76470cd5927c8e2236ccda0e75fa4e03e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 28 03:56:11 2016 +0000

    made deb-install and make reprepro-add also work for multiple created packages
    
    per source package

commit 9d62569cc26987a0321962934edc713a8d0cd0cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 14 21:14:48 2016 +0000

    bumped changelog version

commit fed6e9dba72237ff4d5739c3ef0c0b304b7707e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 8 21:40:00 2016 +0000

    split make deb-chl-bumpup and make deb-uchl-bumpup into different commands
    
    for manual (version entering) and major version bumpup
    
    for easier maintenance
    
    make deb-chl-bumpup-manual
    make deb-chl-bumpup-major
    
    make deb-uchl-bumpup-manual
    make deb-uchl-bumpup-major

commit 0ce66f53bb8c4fc3e7a7a872a88fe84feee85e9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:12:36 2015 +0000

    bumped changelog version

commit bbe8e989a29f1620a71e13b2ed6717ceb09d8825
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 14 18:59:24 2015 +0000

    fail closed for unknown make targets

commit a3d12835eee3f51b10356ee9735c46a4c50db4e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Oct 11 11:31:22 2015 +0000

    allow running arbitrary make targets

commit aee4f79ffdd152cb1a3ab431d338158329575573
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 12:10:28 2015 +0000

    made orig.tar.gz and debian.tar.gz deterministic again

commit f371146ebf0a9389c93964ef1fc7e06cf9fcd134
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 27 16:56:59 2015 +0000

    clean up debian/tmp; fix

commit a5a4caaeed212c24bf29530f89d045b43b8e31a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:07:58 2015 +0000

    bumped changelog version

commit 933b6de80a97f4dec71d94647fbc22d05ffab0b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:47:20 2015 +0000

    bumped changelog version

commit a0988cea090480dccadff664e6f8d55349a9f18a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 12 03:15:32 2015 +0200

    make cleanup now also removes "debian/$package.preinst.debhelper"

commit 72fb2ef9aa19543c22d1da94758a9415737c7952
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 8 16:01:08 2015 +0000

    bumped changelog version

commit 4eba38b4a83fd039395c22a1b40c3dec67db2e16
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 8 15:58:29 2015 +0000

    cleanup debian.tar.xz (jessie support)

commit 0dcca843794ee1a39642e1eba530ffa7adf279f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 14:59:38 2015 +0000

    bumped changelog version

commit 443c155cf1d3a5f47f46e369cf9e77de4f50a462
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 15 20:26:53 2015 +0000

    bumped changelog version

commit bb964f582cd24cef14ee1c7d346ba1cd22894c1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 11 10:18:31 2015 +0000

    implemented $apt_misc_opts - https://phabricator.whonix.org/T295

commit 27590ca9064dda18c0bb223f48d3e87ade6e83e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 10 20:50:54 2015 +0000

    bumped changelog version

commit d143168d83c502f8f302d0abdac1cda07f7dbe39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 10 20:50:09 2015 +0000

    fix

commit 8a80e5aac477c9a30867017a8e187e35b30ed964
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 2 15:20:54 2015 +0000

    bumped changelog version

commit 472850c285714a080316778296dda4aefd2b06c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 1 13:40:20 2015 +0000

    implemented 'make git-tag-push-latest' - git push most recent git tag. (Environment variable make_git_tag_push_targets, that defaults to 'origin'.) - https://phabricator.whonix.org/T292

commit 78d6ed832e28f4613e12cae2f2f04df09b00b1b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:58:59 2015 +0000

    bumped changelog version

commit 4dee29367112db5823d3400f859f272570127868
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 21:51:43 2015 +0000

    hint 'dpkg-parsechangelog not found. Do you have the "build-essential" package installed?' if dpkg-parsechangelog is not available

commit d11bf7f126eca797342bbb00ad76f4cd35ba7b67
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 21:47:39 2015 +0000

    hint "Is the build dependency genmkfile installed?" if genmkfile is not installed

commit 973b7c137228cbe4817049976ff821ba591106ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:10 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit eaff593943842d7879fe430441e65e1b3ff718b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 27 00:49:24 2015 +0000

    fix

commit 3f5a854c0f54566f0c4e40bb35564e26ffea4163
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:15:58 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit e4eda7f828d1bfcf4b6cf58b32ecdc6fb17911b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 22:58:01 2015 +0000

    fix

commit 7b9e6b13d11d98b9623ce9e16b2db02b5a6d6bac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 24 03:04:12 2015 +0000

    updated genmkfile Makefile to version 1.6 - https://phabricator.whonix.org/T271
    - `include`ing of makefile-full can now be avoided by setting environment variable GENMKFILE_INCLUDE_FILE_MAIN to 0
    - improved code to bootstrap genmkfile
    - new environment variables GENMKFILE_INCLUDE_FILE_PRE and GENMKFILE_INCLUDE_FILE_POST that can be used to `include` make files before and after optionally `include`ing GENMKFILE_INCLUDE_FILE_MAIN
    - show GENMKFILE_CURRENT in new "make about" target
    Thanks to @nrgaway for advice with make.

commit 973cca3ff49f49195340d88caa21fac87cc4670a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 22 16:54:03 2015 +0000

    bumped changelog version

commit 3434d618a1647d115586707881ff320dd79eb48f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 22 16:51:57 2015 +0000

    - if debuild not available, recommend installation of the devscripts package
    - fix, do not set automatically make_use_gain_root_command to true if fakeroot is not installed
    - run dpkg-checkbuilddeps before lintian to show better hint if build dependencies are missing

commit b2dee699e562293ad44e1d4d74b1761257add84a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 11:48:19 2015 +0000

    bumped changelog version

commit 6bce8b0347e609b2b2a894c39b32177c799942c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 11:46:34 2015 +0000

    implemented "make reprepro-add"

commit 96488b686814f794bb3070ac7582ca2ff4ff638b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 10:58:12 2015 +0000

    implemented "make git-tag-push"

commit 7f7b7989ad53138597d01ee2ac176af0dc969d1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:13:13 2015 +0000

    bumped changelog version

commit a0dd00c02ff191ea1b2adcb8e3f102efc589dcf8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:53:31 2015 +0000

    fixed readme

commit 79573cff691712fd21ddf2e3a9f012bd424870b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:38:56 2015 +0000

    comments

commit 6a38b9676dc74d11866a4b77c2bb550a2bd5b055
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:35:37 2015 +0000

    comment

commit 4f6824d2fac577fcb14455fbc81a42b7f2f63c6e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:24:39 2015 +0000

    fixed lintian warning

commit 3ecafa291f31290f3885300cc2aadc6309211d1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:18:26 2015 +0000

    added changelog.upstream

commit 70a3c06d04b049041ad2f919f52d51524d83c426
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:16:35 2015 +0000

    initial implementation and import from https://github.com/Whonix/Whonix/blob/master/Makefile and https://github.com/Whonix/Whonix/blob/master/make-helper.bsh
